#include "IOVirtual.h"

namespace Torch {

IOVirtual::IOVirtual(real target_, int n_sequences_)
{
  target = target_;
  
  n_sequences = n_sequences_;
  frame_size = 1;
}

void IOVirtual::getSequence(int t, Sequence *sequence)
{
  sequence ->frames[0][0] = target;
}

int IOVirtual::getNumberOfFrames(int t)
{
  return 1;
}

int IOVirtual::getTotalNumberOfFrames()
{
  return n_sequences;
}

IOVirtual::~IOVirtual()
{
}

}
