#include "ChiSquare.h"

namespace Torch {

//
mChiSquare::mChiSquare(int n_inputs_) : Metric(n_inputs_)
{
}
	
real mChiSquare::measure(real *sample_, real *template_)
{
   	real d = 0.0;

	for(int i = 0 ; i < n_inputs ; i++)
	{
		real a = sample_[i] - template_[i];
		real b = sample_[i] + template_[i];

		d += a*a / b*b;
	}
	
	return d;
}

}
